build-vm, kernel: Not add specified initrd features into initrd.mk

This features not needed for auto-detect.
We also add features not only to initrd.mk, but also specify them
explicitly in the command.
This commit is contained in:
Anton Midyukov 2021-01-31 16:21:31 +07:00
parent 5c1239c97a
commit 58e83cea49
2 changed files with 1 additions and 1 deletions

View File

@ -27,6 +27,7 @@ fi
for KVER in $kver; do
make-initrd -N -k "$KVER" AUTODETECT= \
FEATURES+="add-modules compress cleanup $INITRDFEATURE" \
MODULES_TRY_ADD+="$GLOBAL_VM_INITRDMODULES" \
|| { echo "** Error: make-initrd failed" >&2; exit 1; }
done

View File

@ -46,7 +46,6 @@ use/kernel/server:
# for vm targets
use/kernel/initrd-setup: use/kernel
@$(call add,VM_INITRDFEATURES,add-modules compress cleanup)
@$(call try,VM_FSTYPE,ext4)
@$(call add,VM_INITRDMODULES,$$(VM_FSTYPE))
@$(call add,VM_INITRDMODULES,ahci sd_mod)